---
- hosts: hevpi
  remote_user: pi
  vars:
        download_dir: /home/pi/Downloads
        repos: 
            - hev-sw
            - hev-display

  tasks: 
        - name: include vars
          include_vars: lists.yml

          #- name: apt update, apt upgrade
          #  apt: 
          #      upgrade: yes
          #      update_cache: yes
          #  become: yes
          #
          #- name: install software via apt
          #  apt: 
          #      name: "{{ rpi_swlist }}"  
          #      state: latest
          #  become: yes
          #
          #- name: download icons
          #  get_url:
          #    url: "https://www.dropbox.com/s/xo427e2kzuyryim/gbDMZ.tar.gz?dl=0"
          #    dest: "{{ download_dir }}/gbDMZ.tar.gz"

        - name: download icons
          command: "wget https://www.dropbox.com/s/xo427e2kzuyryim/gbDMZ.tar.gz?dl=0 -O {{ download_dir }}/gbDMZ.tar.gz"

          #- name: mk sw dir
          #  file:
          #      path: /home/pi/.icons/
          #      state: directory

        - name: install icons
          unarchive:
            src: "{{ download_dir }}/gbDMZ.tar.gz"
            dest: "{{ ansible_env.HOME }}/.icons/"
            remote_src: yes

        
